# Class CellSkinBase<C extends Cell>

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<C>
javafx.scene.control.skin.CellSkinBase<C>

Type Parameters:
  `C` - the type of the cell control

All Implemented Interfaces:
  `Skin<C>`

Direct Known Subclasses:
  `DateCellSkin`, `ListCellSkin`, `TableCellSkinBase`, `TableRowSkinBase`, `TreeCellSkin`

public class CellSkinBase<C extends Cell> extends LabeledSkinBase<C>
Default skin implementation for the `Cell` control, and subclasses such as `ListCell`, `TreeCell`, etc.

Since:
  9
See Also:
  - `Cell`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ReadOnlyDoubleProperty`
  `cellSize`
  The default cell size.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CellSkinBase(C control)`
  Creates a new CellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ReadOnlyDoubleProperty`
  `cellSizeProperty()`
  The default cell size.
  `final double`
  `getCellSize()`
  Gets the value of the `cellSize` property.
  `static List<CssMetaData<? extends Styleable, ?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

  ### Methods declared in class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Property Details

  - ### cellSize

    public final ReadOnlyDoubleProperty cellSizeProperty
    The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS
    See Also:
      - `getCellSize()`
      - `cellSizeProperty()`

- ## Constructor Details

  - ### CellSkinBase

    public CellSkinBase(C control)
    Creates a new CellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getCellSize

    public final double getCellSize()
    Gets the value of the `cellSize` property.
    Property description:
      The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS
    Returns:
      the value of the `cellSize` property
    See Also:
      - `cellSizeProperty()`

  - ### cellSizeProperty

    public final ReadOnlyDoubleProperty cellSizeProperty()
    The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS
    Returns:
      the `cellSize` property
    See Also:
      - `getCellSize()`

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable, ?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses